Ir al contenido

Seedream 5.0 Pro Edit

Integrar

Id del modelo bytedance/seedream/v5/pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Archivos como el ejemplo: 0,14 $ 140 créditos de API tus archivos se miden antes de la ejecución Ejecutar en esta página

Obtener clave de API
ByteDance Edición de imágenes #editing#multi-reference#2k

Edición de varias imágenes con Seedream 5.0 Pro, combinando hasta diez referencias en una imagen de 2K.

Creado en Doitong

Trabajos públicos creados con Seedream 5.0 Pro por la comunidad de Doitong. Reutiliza un prompt con un clic.

Trabajos públicos mostrados: 16
Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек ...

Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек с вдохновением собирается начать что-то новое (например, рисовать на холсте). Внезапно появляется его Мозг в виде забавного персонажа, который начинает активно мешать: показывает смешные картинки...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beau...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beautifully bound books. The fingers softly touch the spines. Warm, golden hour lighting. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filter...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filtering through trees, cozy wooden treehouse, high detail, 4K.. Studio Ghibli animation style. Close-up of Elara's hands carefully picking one of the glowing mushrooms and placing it into a small woven...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further b...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further back in the frame. Three feet of terracotta floor between them. Maya is standing on terracotta floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image ...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image with a black bob, purple hair streak, and a small nose ring. She has a defiant, playful expression, sticking her tongue out with wide, confident eyes while wearing a classic denim jacket. Isolated on...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in ...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in an emerald gown stands beside Leo Lime ("90/100"). Nico Peach ("100/100") in a black tuxedo with gold embroidery kneels before veiled Grana, holding her red-gloved hand. Pixar-style 3D CGI, soft...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at th...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at the vanity while the maid Aunt Banana does her hair. Mrs. Lime holds out an old, torn, yellowed wedding dress to veiled Grana. Pixar-style 3D CGI, soft cinematic lighting, vertical 9:16....

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two fram...

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two framed portraits: a handsome lime-green man labeled "90/100" and a black silhouette with a question mark. Mrs. Lime beside him. Mia Orange and veiled Grana sit on a beige velvet sofa. Pixar-style 3D CGI,...

Crear una solicitud

Los controles se generan a partir del esquema del modelo. El código y el precio se actualizan al modificarlos.

•obligatorio

Instrucciones de texto para editar la imagen.

•obligatorio image_urls
Suelta un archivo o

URL de imágenes de referencia, con el procesamiento restringido a las últimas 10 entradas cuando la lista enviada supera el máximo compatible de 10 imágenes.

image_size predeterminado auto_2K

Dimensiones de la imagen de salida, que requieren un recuento total de píxeles entre 1024x1024 y 2048x2048 y una relación de aspecto entre 1/16 y 16.

num_images predeterminado 1

Cantidad de ejecuciones de generación independientes del modelo usando el prompt.

Avanzado output_format · enhance_prompt_mode
output_format predeterminado jpeg

Formato de archivo de la imagen de salida.

enhance_prompt_mode predeterminado standard

Configuración de optimización del prompt: elige `standard` para priorizar la calidad de imagen o `fast` para reducir el tiempo de generación.

POST /run/bytedance/seedream/v5/pro/edit?wait=20 cotización → 0,14 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ejecutar esta solicitud

Tu clave permanece en este navegador: solo se envía a la Doitong API y se guarda (localStorage) únicamente si marcas Recordar. Obtener una clave de API

Acerca de Seedream 5.0 Pro Edit

Proporciona a Seedream 5.0 Pro hasta diez imágenes de referencia (productos, logotipos, personas, lugares) y describe cómo combinarlas o modificarlas; conserva fielmente los materiales y las letras. La salida es de entre 1 y 4 megapíxeles, con hasta seis imágenes por solicitud.

Parámetros

Envía el nombre canónico o el nombre nativo, no ambos. Nombres canónicos

NombreTipo PredeterminadoPermitido Descripción
promptobligatorio
Tipostring
Instrucciones de texto para editar la imagen.
image_sizeopcional
Tipoobject
Predeterminadoauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_1Kauto_2K
Dimensiones de la imagen de salida, que requieren un recuento total de píxeles entre 1024x1024 y 2048x2048 y una relación de aspecto entre 1/16 y 16.
num_imagesopcional num_outputs
Tipointeger
Predeterminado1
1 – 6
Cantidad de ejecuciones de generación independientes del modelo usando el prompt.
output_formatopcional
Tipoenum
Predeterminadojpeg
jpegpng
Formato de archivo de la imagen de salida.
enhance_prompt_modeopcional
Tipoenum
Predeterminadostandard
standardfast
Configuración de optimización del prompt: elige `standard` para priorizar la calidad de imagen o `fast` para reducir el tiempo de generación.
image_urlsobligatorio images
Tipourl[] · image
URL de imágenes de referencia, con el procesamiento restringido a las últimas 10 entradas cuando la lista enviada supera el máximo compatible de 10 imágenes.
obligatorio Nombre canónico, también aceptado

Los parámetros de archivo aceptan una URL pública https://, un URI data: de hasta 10 MB o el file_url de una carga. Archivos

Salida

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/pro/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tus archivos, tú eligesCada outputs[].url es una copia en nuestro almacenamiento: conservada para siempre (se cobra por GB-mes) o 7 días gratis, según la configuración de tu cuenta o ?storage=.
La misma estructura en todos los modelostype, url, content_type, width, height y duration, tanto para imágenes como para vídeo y audio. output es el objeto de resultado propio del modelo.
Campos de salida
images
array of object {url, content_type, file_name, file_size, width, height}Imágenes producidas por la generación.

Más modelos: Edición de imágenes

Para agentes de IA: esta página en Markdown está en https://doitong.com/es/developers/models/bytedance/seedream/v5/pro/edit.md. Todos los modelos y guías: https://doitong.com/developers/llms.txt